// pages/index/sw/index.js
const imgurl = require("../../utils/imgurl");
const app = getApp()

Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      value: [],
      type: Array
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    bannerUrl: imgurl.banner.url,
    currentIndex: 0,
    mouldType: 0,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    gotobannerdetail: function (e) {
      console.log(e, 'e');

      console.log(this.data.list)
      if (e.currentTarget.dataset.data.type == 3) {
        // 小程序路径
        let indexOf = (e.currentTarget.dataset.data.pagePath).indexOf("=");
        console.log(indexOf, "123")
        let id = (e.currentTarget.dataset.data.pagePath).substr(indexOf);
        console.log(id.split("="), 123);
        let type = (e.currentTarget.dataset.data.pagePath).substr(indexOf + 1, 2) // 2020/7/22 变量获取pagePath中的type
        console.log(indexOf, id, type);
        console.log(e.currentTarget.dataset.data.pagePath)
        if (type == 'cd' || type == 'sd') {
          tt.navigateTo({
            url: `/${e.currentTarget.dataset.data.pagePath}`,
          })
        } else if (type == "wj") {
          tt.navigateTo({
            url: `/pages/questionnaire/questionnaire?id=` + id.split("=")[2],
          })
        } else if (type == 'ra') {
          tt.navigateTo({
            url: `/pages/radetail/index?id=` + id.split("=")[2],
          })
        }
      } else if (e.currentTarget.dataset.data.type == 2) {
        // 自由图文
        tt.navigateTo({
          url: `/pages/freeBannerDetail/index?id=${e.currentTarget.dataset.id}`
        });
      } else if (e.currentTarget.dataset.data.type == 4) {
        tt.navigateToMiniProgram({
          appId: e.currentTarget.dataset.data.goAppid,
          // path: 'page/index/index?id=123',
          // extraData: {
          //   foo: 'bar'
          // },
          // envVersion: 'develop',
          success(res) {
            // 打开成功
          }
        })
      } else {
        // 固定格式
        tt.navigateTo({
          url: `/pages/bannerdetail/bannerdetail?id=${e.currentTarget.dataset.id}&mallTenantId=${e.currentTarget.dataset.data.tenantId}`
        });
      }
    },
    handleChange: function (e) {
      this.setData({
        currentIndex: e.detail.current
      })
    },
  },
  attached: function () {
    // 在组件实例进入页面节点树时执行
    if (app.globalData.mouldType) {
      this.setData({
        mouldType: app.globalData.mouldType
      })
    }
  },
});